| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WellStratUnitGen Class Reference
uiWell

creates a display of stratigraphy IF levels are linked to markers. More...

`#include <uiwellstratdisplay.h>`

Inheritance diagram for WellStratUnitGen:
[legend]

## Public Member Functions
| WellStratUnitGen (StratDispData &, const Well::Data &)
| ~WellStratUnitGen ()
void | gatherInfo ()
const StratDispData & | stratData () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
bool | areLeavedTied (const Strat::LeavedUnitRef &, const Strat::LeavedUnitRef &) const
void | assignTimesToAllUnits ()
void | assignTimesToLeavedUnits ()
void | dataChangedCB (CallBacker *)
void | gatherLeavedUnits ()
const Well::Marker * | getMarkerFromLvlID (Strat::LevelID lvlid) const

## Protected Attributes
const Well::D2TModel * | d2tmodel_
StratDispData & | data_
ObjectSet< StratDispData::Unit > | dispunits_
ObjectSet< StratDispData::Unit > | leaveddispunits_
ObjectSet< const Strat::LeavedUnitRef > | leavedunits_
const ObjectSet< Well::Marker > & | markers_
TypeSet< float > | posset_
const Well::Track & | track_
uiStratTreeToDisp * | uidatagather_
ObjectSet< const Strat::NodeOnlyUnitRef > | units_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

creates a display of stratigraphy IF levels are linked to markers.

<>

## Constructor & Destructor Documentation

## ◆ WellStratUnitGen()

WellStratUnitGen::WellStratUnitGen | ( | StratDispData & | ,
|  | const Well::Data & | )

## ◆ ~WellStratUnitGen()

WellStratUnitGen::~WellStratUnitGen | ( |  | ) |

## Member Function Documentation

## ◆ areLeavedTied()

bool WellStratUnitGen::areLeavedTied | ( | const Strat::LeavedUnitRef & | ,
|  | const Strat::LeavedUnitRef & | ) const
| protected

## ◆ assignTimesToAllUnits()

void WellStratUnitGen::assignTimesToAllUnits | ( |  | ) |
| protected

## ◆ assignTimesToLeavedUnits()

void WellStratUnitGen::assignTimesToLeavedUnits | ( |  | ) |
| protected

## ◆ dataChangedCB()

void WellStratUnitGen::dataChangedCB | ( | CallBacker * |  | ) |
| inline protected

## ◆ gatherInfo()

void WellStratUnitGen::gatherInfo | ( |  | ) |

## ◆ gatherLeavedUnits()

void WellStratUnitGen::gatherLeavedUnits | ( |  | ) |
| protected

## ◆ getMarkerFromLvlID()

const Well::Marker * WellStratUnitGen::getMarkerFromLvlID | ( | Strat::LevelID | lvlid | ) | const
| protected

## ◆ stratData()

const StratDispData & WellStratUnitGen::stratData | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ d2tmodel_

const Well::D2TModel* WellStratUnitGen::d2tmodel_
| protected

## ◆ data_

StratDispData& WellStratUnitGen::data_
| protected

## ◆ dispunits_

ObjectSet<StratDispData::Unit> WellStratUnitGen::dispunits_
| protected

## ◆ leaveddispunits_

ObjectSet<StratDispData::Unit> WellStratUnitGen::leaveddispunits_
| protected

## ◆ leavedunits_

ObjectSet<const Strat::LeavedUnitRef> WellStratUnitGen::leavedunits_
| protected

## ◆ markers_

const ObjectSet<Well::Marker>& WellStratUnitGen::markers_
| protected

## ◆ posset_

TypeSet<float> WellStratUnitGen::posset_
| protected

## ◆ track_

const Well::Track& WellStratUnitGen::track_
| protected

## ◆ uidatagather_

uiStratTreeToDisp* WellStratUnitGen::uidatagather_
| protected

## ◆ units_

ObjectSet<const Strat::NodeOnlyUnitRef> WellStratUnitGen::units_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025